> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getBusinessUsers

> 
The `getBusinessUsers` API is used to retrieve comprehensive information about **all** business users within a company.

### What it does:

- Returns the business user IDs for every business user in the payroll system
- Returns detailed information for each of the business users including their role, address, SSN and more

### Notes:

- Requires only a companyID since all business users are retrieved
- Returns the same fields as `getBusinessUserInfo` which can be used to retrieve data for a single business user



## OpenAPI

````yaml get /reports/getBusinessUsers
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getBusinessUsers:
    get:
      tags: []
      summary: getBusinessUsers
      description: >-

        The `getBusinessUsers` API is used to retrieve comprehensive information
        about **all** business users within a company.


        ### What it does:


        - Returns the business user IDs for every business user in the payroll
        system

        - Returns detailed information for each of the business users including
        their role, address, SSN and more


        ### Notes:


        - Requires only a companyID since all business users are retrieved

        - Returns the same fields as `getBusinessUserInfo` which can be used to
        retrieve data for a single business user
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getBusinessUsers
                  example: getBusinessUserDetails
                companyId:
                  type: string
                  format: uuid
              required:
                - method
                - companyId
            example:
              method: getBusinessUsers
              companyId: B62B4EB2-4198-42FE-95E3-00959BEF1B8F
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  BusinessUser:
                    type: array
                    items:
                      type: object
                      properties:
                        businessUserId:
                          type: string
                        businessUser:
                          type: string
                        firstName:
                          type: string
                        middleName:
                          type: string
                        lastName:
                          type: string
                        email:
                          type: string
                        phoneNumber:
                          type: string
                        payrollAdmin:
                          type: boolean
                        bookKeeper:
                          type: boolean
                        beneficialOwner:
                          type: boolean
                        employee:
                          type: boolean
                        ownershipPercentage:
                          type: number
                        companyLocationID:
                          type: string
                        address1:
                          type: string
                        address2:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        zipcode:
                          type: string
                        country:
                          type: string
                        ssn:
                          type: string
                        startDate:
                          type: number
                        dateOfBirth:
                          type: string
                        isPayrollAdmin:
                          type: boolean
                        isController:
                          type: boolean
                        isBeneficialOwner:
                          type: boolean
                        isEmployee:
                          type: boolean
                        dateOfJoin:
                          type: string
                required:
                  - BusinessUser
              example:
                BusinessUser:
                  - businessUserId: F7F09EAD-2FA8-458F-B3E6-750F42B15857
                    businessUser: Tyler Hm
                    firstName: Tyler
                    middleName: ''
                    lastName: Hm
                    email: tylerhm@mailsac.com
                    phoneNumber: '8473625628'
                    payrollAdmin: true
                    bookKeeper: true
                    beneficialOwner: true
                    employee: false
                    ownershipPercentage: 0.1
                    companyLocationID: F7F09EAD-2FA8-458F-B3E6-750F42B15857
                    address1: 919 2nd Ave
                    address2: ''
                    city: New York
                    state: NY
                    zipcode: 10017-1582
                    country: US
                    ssn: '857476277'
                    startDate: '2023-12-10'
                    dateOfBirth: '2000-12-10'
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````